Skip to main content
`Ctrl`+`K`

# SNESGetFunctionType

Gets the `SNESFunctionType` used in convergence and monitoring set with `SNESSetFunctionType()` of the SNES method.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetFunctionType(SNES snes, SNESFunctionType *type)

Logically Collective

## Input Parameters

- snes - the `SNES` context

- type - the type of the function evaluation, see `SNESSetFunctionType()`

## See Also

SNES: Nonlinear Solvers, `SNESSetFunctionType()`, `SNESFunctionType`, `SNESSetNormSchedule()`, `SNESComputeFunction()`, `VecNorm()`, `SNESSetFunction()`, `SNESSetInitialFunction()`, `SNESNormSchedule`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages